<section class="section pt-40 faq-section" <?php if($image = $shortcode->image): ?> style="background: url('<?php echo e(RvMedia::getImageUrl($image)); ?>') no-repeat; background-position: top right; background-size: 190px" <?php endif; ?>>
    <div class="container">
        <div class="row align-items-end">
            <div class="col-lg-8 col-md-8">
                <?php if($title = $shortcode->title): ?>
                    <h2 class="color-brand-1 mb-20 wow animate__animated animate__fadeInUp" data-wow-delay=".0s">
                        <?php echo BaseHelper::clean($title); ?>

                    </h2>
                <?php endif; ?>

                <?php if($subtitle = $shortcode->subtitle): ?>
                    <p class="font-lg color-gray-500 wow animate__animated animate__fadeInUp" data-wow-delay=".2s"><?php echo BaseHelper::clean($subtitle); ?></p>
                <?php endif; ?>
            </div>
            <div class="col-lg-4 col-md-4 text-md-end text-start wow animate__animated animate__fadeInUp" data-wow-delay=".4s">
                <?php if($shortcode->button_label && $shortcode->button_url): ?>
                    <a class="btn btn-default font-sm-bold pl-0" href="<?php echo e($shortcode->button_url); ?>">
                        <?php echo BaseHelper::clean($shortcode->button_label); ?>

                        <svg class="w-6 h-6 icon-16 ms-1" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"></path>
                        </svg>
                    </a>
                <?php endif; ?>
            </div>
        </div>
        <div class="row mt-50 mb-50">
            <div class="col-xl-3 col-lg-4">
                <ul class="list-faqs nav nav-tabs" role="tablist">
                    <?php $__currentLoopData = $faqCategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li class="wow animate__animated animate__fadeInUp" data-wow-delay=".0s">
                            <a href="#faq-categories-<?php echo e($category->id); ?>" data-bs-toggle="tab" role="tab" aria-controls="tab-support" aria-selected="true" <?php if($loop->first): ?> class="active" <?php endif; ?>>
                                <?php echo e($category->name); ?>

                                <svg class="w-6 h-6 icon-16 ms-1" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"></path>
                                </svg>
                            </a>
                        </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
                <div class="mt-40 text-start mb-40 wow animate__animated animate__fadeInUp" data-wow-delay=".0s">
                    <?php if($shortcode->button_url && $shortcode->button_label): ?>
                        <a class="btn btn-brand-1 hover-up" href="<?php echo e($shortcode->button_url); ?>"><?php echo BaseHelper::clean($shortcode->button_label); ?></a>
                    <?php endif; ?>

                    <?php if($shortcode->button_secondary_url && $shortcode->button_secondary_label): ?>
                        <a class="btn btn-default font-sm-bold hover-up" href="<?php echo e($shortcode->button_secondary_url); ?>">
                            <?php echo BaseHelper::clean($shortcode->button_secondary_label); ?>

                            <svg class="w-6 h-6 icon-16 ms-1" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"></path>
                            </svg>
                        </a>
                    <?php endif; ?>
                </div>
            </div>
            <div class="col-xl-9 col-lg-8">
                <div class="tab-content tab-content-slider">
                    <?php $__currentLoopData = $faqCategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="<?php echo \Illuminate\Support\Arr::toCssClasses(['tab-pane fade', 'active show wow animate__animated animate__fadeInUp' => $loop->first]); ?>" id="faq-categories-<?php echo e($category->id); ?>" role="tabpanel" aria-labelledby="tab-categories-faq-<?php echo e($category->id); ?>">
                            <?php if($category->faqs): ?>
                                <div class="accordion" id="tab-categories-faq-<?php echo e($category->id); ?>">
                                    <?php $__currentLoopData = $category->faqs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $faq): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="accordion-item border-0">
                                            <h5 class="accordion-header" id="faq-<?php echo e($faq->id); ?>">
                                                <button class="<?php echo \Illuminate\Support\Arr::toCssClasses(['accordion-button text-heading-5', 'collapsed' => ! $loop->first]); ?>" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-faq-<?php echo e($faq->id); ?>" aria-expanded="true" aria-controls="collapse-faq-<?php echo e($faq->id); ?>"><?php echo BaseHelper::clean($faq->question); ?></button>
                                            </h5>
                                            <div class="<?php echo \Illuminate\Support\Arr::toCssClasses(['accordion-collapse collapse', 'show' => $loop->first]); ?>" id="collapse-faq-<?php echo e($faq->id); ?>" aria-labelledby="faq-<?php echo e($faq->id); ?>" data-bs-parent="#tab-categories-faq-<?php echo e($category->id); ?>">
                                                <div class="accordion-body"><?php echo BaseHelper::clean($faq->answer); ?></div>
                                            </div>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            <?php endif; ?>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </div>
    </div>
    <div class="border-bottom"></div>
</section>
<?php /**PATH /home/fathjeaf/emadorganisation.org/platform/themes/iori/partials/shortcodes/faqs/styles/style-1.blade.php ENDPATH**/ ?>