<section class="section mt-50">
    <div class="container">
        <div class="row align-items-end">
            <div class="col-lg-8 col-md-8">
                <?php if($title = $shortcode->title): ?>
                    <h2 class="color-brand-1 mb-20 wow animate__animated animate__fadeInUp" data-wow-delay=".0s"><?php echo BaseHelper::clean($title); ?></h2>
                <?php endif; ?>

                <?php if($subtitle = $shortcode->subtitle): ?>
                    <p class="font-lg color-gray-500 wow animate__animated animate__fadeInUp" data-wow-delay=".2s">
                       <?php echo BaseHelper::clean($subtitle); ?>

                    </p>
                <?php endif; ?>
            </div>
            <div class="col-lg-4 col-md-4 text-md-end text-start wow animate__animated animate__fadeInUp" data-wow-delay=".4s">
                <?php if($shortcode->button_label && $shortcode->button_url): ?>
                    <a href="<?php echo e($shortcode->button_url); ?>" class="btn btn-default font-sm-bold pl-0">
                        <?php echo BaseHelper::clean($shortcode->button_label); ?>

                        <svg class="w-6 h-6 icon-16 ms-1" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"></path>
                        </svg>
                    </a>
                <?php endif; ?>
            </div>
        </div>
        <div class="row mt-55">
            <?php $__currentLoopData = $posts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $post): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php ($timeReading = number_format(strlen(strip_tags($post->content)) / 300)); ?>
                <div class="col-xl-3 col-lg-6 col-md-6 wow animate__animated animate__fadeIn" data-wow-delay=".0s">
                <div class="card-blog-grid card-blog-grid-2 hover-up">
                    <div class="card-image img-reveal">
                        <a href="<?php echo e($post->url); ?>"><img src="<?php echo e(RvMedia::getImageUrl($post->image)); ?>" alt="<?php echo e($post->name); ?>" /></a>
                    </div>
                    <div class="card-info">
                        <a href="<?php echo e($post->url); ?>"> <h6 class="color-brand-1"><?php echo e($post->name); ?></h6></a>
                        <p class="font-sm color-grey-500 mt-20">
                            <?php echo BaseHelper::clean(Str::limit($post->description, 120)); ?>

                        </p>
                        <div class="mt-20 d-flex align-items-center border-top pt-20">
                            <?php if($post->firstCategory): ?>
                                <a class="btn btn-border-brand-1 mr-15" href="<?php echo e($post->firstCategory->url); ?>"><?php echo e($post->firstCategory->name); ?></a>
                            <?php endif; ?>

                            <span class="date-post font-xs color-grey-300 mr-15">
                                <svg class="w-6 h-6 icon-16" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M8 7V3m8 4V3m-9 8h10M5 21h14a2 2 0 002-2V7a2 2 0 00-2-2H5a2 2 0 00-2 2v12a2 2 0 002 2z"></path>
                                </svg>
                               <?php echo e($post->created_at->translatedFormat('d M y')); ?>

                            </span>
                            <span class="time-read font-xs color-grey-300">
                                <svg class="w-6 h-6 icon-16" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 8v4l3 3m6-3a9 9 0 11-18 0 9 9 0 0118 0z"></path>
                                </svg>
                                <?php echo e(__(':number mins read', ['number' => $timeReading])); ?>

                            </span>
                        </div>
                    </div>
                </div>
            </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
</section>

<?php /**PATH /home/fathjeaf/emadorganisation.org/platform/themes/iori/partials/shortcodes/from-our-blog/styles/style-2.blade.php ENDPATH**/ ?>