<section class="section pt-40 pb-40">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-12 text-center">
                <?php if($title = $shortcode->title): ?>
                    <h2 class="color-brand-1 mb-20 wow animate__animated animate__fadeIn" data-wow-delay=".0s"><?php echo BaseHelper::clean($title); ?></h2>
                <?php endif; ?>

                <?php if($subtitle = $shortcode->subtitle): ?>
                    <p class="font-lg color-gray-500 wow animate__animated animate__fadeIn" data-wow-delay=".2s">
                        <?php echo BaseHelper::clean($subtitle); ?>

                    </p>
                <?php endif; ?>

                <ul class="tabs-plan change-price-plan" role="tablist">
                    <li class="wow animate__animated animate__fadeIn" data-wow-delay=".0s"><a class="active" href="#" data-type="monthly"><?php echo e(__('Monthly')); ?></a></li>
                    <li class="wow animate__animated animate__fadeIn" data-wow-delay=".1s"><a href="#" data-type="yearly"><?php echo e(__('Yearly')); ?></a></li>
                </ul>
            </div>
        </div>
        <div class="row mt-50 price-plan">
            <?php $__currentLoopData = $packages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $package): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="<?php echo \Illuminate\Support\Arr::toCssClasses(['wow animate__animated animate__fadeIn col-lg-6 col-md-6', 'col-xl-4' => $packages->count() === 3, 'col-xl-3' => $packages->count() === 4]); ?>" data-wow-delay=".0s">
                    <div class="card-plan-style-2 hover-up">
                        <div class="card-plan">
                            <div class="card-image-plan">
                                <?php if($icon = $package->getMetaData('icon', true)): ?>
                                    <div class="icon-plan">
                                        <img src="<?php echo e(RvMedia::getImageUrl($icon)); ?>" alt="<?php echo e($package->name); ?>" />
                                    </div>
                                <?php endif; ?>
                                <div class="info-plan">
                                    <?php if($name = $package->name): ?>
                                        <h4 class="color-brand-1"><?php echo e($name); ?></h4>
                                    <?php endif; ?>

                                    <?php if($description = $package->description): ?>
                                        <p class="font-md color-grey-400"><?php echo BaseHelper::clean($description); ?></p>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="box-day-trial box-price">
                                <?php if($package->price): ?>
                                    <div class="month_price">
                                        <span class="font-lg-bold color-brand-1 text-price-enterprise"><?php echo e($package->price); ?></span>
                                        <span class="font-md color-grey-500 text-type-enterprise">-<?php echo e($package->duration->label()); ?></span><br />
                                    </div>
                                <?php endif; ?>

                                <?php if($package->annual_price): ?>
                                    <div class="year_price" style="display: none">
                                        <span class="font-lg-bold color-brand-1 text-price-enterprise"><?php echo e($package->annual_price); ?></span>
                                        <span class="font-md color-grey-500 text-type-enterprise">-<?php echo e(__('Yearly')); ?></span><br />
                                    </div>
                                <?php endif; ?>
                            </div>
                            <div class="mt-20">
                                <a class="btn btn-brand-1-full hover-up" href="<?php echo e($package->url); ?>">
                                    <?php echo e(__('View Detail')); ?>

                                    <svg class="w-6 h-6 icon-16 ml-10" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"></path>
                                    </svg>
                                </a>
                            </div>
                        </div>
                        <div class="mt-30 mb-30 wow animate__animated animate__fadeIn" data-wow-delay=".1s">
                            <ul class="list-ticks list-ticks-2">
                                <?php $__currentLoopData = $package->feature_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $feature): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li class="<?php echo \Illuminate\Support\Arr::toCssClasses(['mutted' => ! $feature['is_available']]); ?>">
                                        <?php if($feature['is_available']): ?>
                                            <svg class="icon-16" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 13l4 4L19 7"></path>
                                            </svg>
                                        <?php else: ?>
                                            <svg class="icon-16" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12"></path>
                                            </svg>
                                        <?php endif; ?>
                                        <?php echo e($feature['value']); ?>

                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
        <div class="box-button text-center mt-20 wow animate__animated animate__fadeIn" data-wow-delay=".0s">
            <?php if($shortcode->button_primary_url && $shortcode->button_primary_label): ?>
                <a class="btn btn-brand-1 hover-up" href="<?php echo e($shortcode->button_primary_url); ?>"><?php echo e($shortcode->button_primary_label); ?></a>
            <?php endif; ?>

            <?php if($shortcode->button_secondary_url && $shortcode->button_secondary_label): ?>
                <a class="btn btn-default font-sm-bold hover-up" href="<?php echo e($shortcode->button_secondary_url); ?>">
                    <?php echo e($shortcode->button_secondary_label); ?>

                    <svg class="w-6 h-6 icon-16 ms-1" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"></path>
                    </svg>
                </a>
            <?php endif; ?>
        </div>
    </div>
</section>

<?php /**PATH /home/fathjeaf/emadorganisation.org/platform/themes/iori/partials/shortcodes/pricing-plan/styles/style-2.blade.php ENDPATH**/ ?>