<?php
    $styleColors = ['head-bg-brand-2', 'head-bg-2', 'head-bg-5', '']
 ?>

<section class="section mt-50">
    <div class="container">
        <div class="row">
            <div class="col-lg-12 text-center">
                <?php if($title = $shortcode->title): ?>
                    <h2 class="color-brand-1 mb-20 wow animate__animated animate__fadeIn" data-wow-delay=".0s">
                        <?php echo BaseHelper::clean($title); ?>

                    </h2>
                <?php endif; ?>

                <?php if($subtitle = $shortcode->subtitle): ?>
                    <p class="font-lg color-gray-500 wow animate__animated animate__fadeIn" data-wow-delay=".2s">
                        <?php echo BaseHelper::clean($subtitle); ?>

                    </p>
                <?php endif; ?>
            </div>
        </div>
       <?php if($services->isNotEmpty()): ?>
            <div class="mt-50 wow animate__animated animate__fadeIn" data-wow-delay=".0s">
                <div class="box-swiper">
                    <div class="swiper-container swiper-group-4">
                        <div class="swiper-wrapper">
                            <?php $__currentLoopData = $services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="swiper-slide <?php echo e($styleColors[rand(0, count($styleColors)-1)]); ?>">
                                    <div class="card-offer-style-3">
                                        <div class="card-head">
                                            <?php if($service->category && ($logo = $service->category->getMetadata('icon', true))): ?>
                                                <div class="card-image">
                                                    <img src="<?php echo e(RvMedia::getImageUrl($logo)); ?>" alt="<?php echo e($service->name); ?>">
                                                </div>
                                            <?php endif; ?>

                                            <?php if($title = $service->name): ?>
                                                <div class="card-title">
                                                    <a href="<?php echo e($service->url); ?>">
                                                        <h4 class="color-brand-1"><?php echo BaseHelper::clean($title); ?></h4>
                                                    </a>
                                                </div>
                                            <?php endif; ?>
                                        </div>
                                        <div class="card-info">
                                            <?php if($description = $service->description): ?>
                                                <p class="font-sm color-grey-500 mb-15"><?php echo BaseHelper::clean($description); ?></p>
                                            <?php endif; ?>

                                            <div class="box-button-offer">
                                                <a href="<?php echo e($service->url); ?>" class="btn btn-default font-sm-bold ps-0 color-brand-1 hover-up"><?php echo e(__('View Details')); ?>

                                                    <svg class="w-6 h-6 icon-16 ms-1" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"></path>
                                                    </svg>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                        <div class="box-button-slider-bottom">
                            <div class="swiper-button-prev swiper-button-prev-group-4">
                                <svg class="w-6 h-6" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M10 19l-7-7m0 0l7-7m-7 7h18"></path>
                                </svg>
                            </div>
                            <div class="swiper-button-next swiper-button-next-group-4">
                                <svg class="w-6 h-6" fill="none" stroke="currentColor" viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M14 5l7 7m0 0l-7 7m7-7H3"></path>
                                </svg>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
       <?php endif; ?>
    </div>
</section>
<?php /**PATH /home/fathjeaf/emadorganisation.org/platform/themes/iori/partials/shortcodes/services/styles/style-3.blade.php ENDPATH**/ ?>